# Uses of Interface
javax.lang.model.util.Elements

Packages that use Elements
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of Elements in com.sun.source.util

Methods in com.sun.source.util that return Elements
Modifier and Type
Method
Description
`abstract Elements`
JavacTask.`getElements()`
Returns a utility object for dealing with program elements.

## Uses of Elements in javax.annotation.processing

Methods in javax.annotation.processing that return Elements
Modifier and Type
Method
Description
`Elements`
ProcessingEnvironment.`getElementUtils()`
Returns an implementation of some utility methods for operating on elements.

## Uses of Elements in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet that return Elements
Modifier and Type
Method
Description
`Elements`
DocletEnvironment.`getElementUtils()`
Returns an instance of the `Elements` utility class.